#
# spec file for package avxsynth
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Marguerite Su <marguerite@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           avxsynth
Version:	4.0git20140427
%define rel marguerite
Release:	1.1
License:	GPL-2.0+
Summary:	Linux Port of Avisynth
Url:	https://github.com/avxsynth/avxsynth
Group:	Productivity/Multimedia/Video/Editors and Convertors 
Source:	%{name}-%{version}.tar.gz
#PATCH-FIX-UPSTREAM marguerite@opensuse.org remove __DATE__ and __TIME__
Patch:	%{name}-DATE_TIME.patch
BuildRequires:	pkg-config
BuildRequires:	yasm
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	MPlayer
BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libqt4-devel
BuildRequires:	libffms2-devel
BuildRequires:	libffmpeg-devel
BuildRequires:	log4cpp-devel
Provides:	avisynth = %{version}
Obsoletes:	avisynth < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
AvxSynth is a Linux port of the AviSynth toolkit. The objective of the porting effort
was to bring the power of AviSynth into the Linux world. In particular, we are interested 
in AviSynth as a frame server front-end to the encode step of our media pipeline.

%package devel
Summary:	Development Headers for Avxsynth
Group:		Development/Libraries/C and C++ 
Requires:	%{name} = %{version}

%description devel 
AvxSynth is a Linux port of the AviSynth toolkit. The objective of the porting effort
was to bring the power of AviSynth into the Linux world. In particular, we are interested
in AviSynth as a frame server front-end to the encode step of our media pipeline.

This package provides development headers for avxsynth.

%prep
%setup -q
%patch -p1

%build
autoreconf -i 
%configure
make %{?_smp_mflags}

%install
%make_install

# Fix Documentation
rm -rf %{buildroot}%{_datadir}/doc/%{name}

# Clear .la files
rm -rf %{buildroot}%{_libdir}/*.la 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README.md debian/changelog debian/copyright plugins/autocrop/AutoCrop.txt
%{_bindir}/AVXEdit
%{_bindir}/avxFrameServer
%{_libdir}/%{name}/
%{_libdir}/libavxsynth.so.0
%{_libdir}/libavxsynth.so.0.0.0
%{_libdir}/libavxutils.so.0
%{_libdir}/libavxutils.so.0.0.0

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/libavxsynth.so
%{_libdir}/libavxutils.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/avxutils.pc


%changelog
* Sun Apr 27 2014 i@margueirte.su
- update version 4.0git20140427
- add patch: avxsynth-DATE_TIME.patch
* Mon Feb 25 2013 marguerite@opensuse.org
- initial package version 4.0
